Imports IntraSell_Net_Base

Public Class ZustellerDashboardForm
    Public Event FormGeschlossen As EventHandler

    Private Sub ZustellerDashboardForm_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        ApplyStyle()
    End Sub

    Sub ApplyStyle()
        ModuleStyle.StylePanel(Me.TouchOrders1)
    End Sub

    Private Sub TouchBestellung_FormClosed(sender As Object, e As FormClosedEventArgs) Handles MyBase.FormClosed
        RaiseEvent FormGeschlossen(sender, e)
    End Sub

    Private Sub TouchBestellung_Shown(sender As Object, e As EventArgs) Handles MyBase.Shown
        TouchOrders1.DatenAktualisieren()
    End Sub

    Public Sub DateAktualisieren()
        TouchOrders1.DatenAktualisieren()
    End Sub

    ' Private Sub TouchBestellung_Load(sender As Object, e As EventArgs) Handles MyBase.Load
    '     Try
    '         Dim fU = New FormUtility
    '         fU.MakeFormCustomizable(Me)
    '     Catch ex As Exception
    '         handleAppError(ex, silent:=True)
    '     End Try
    ' End Sub

    Public Sub StarteNeueBestellung(neueBestellung As OffeneBestellung)
        TouchOrders1.StarteNeueBestellung(neueBestellung)
    End Sub

    Public Sub ZeigeListe(alsListe As Boolean)
        TouchOrders1.ZeigeListe(alsListe)
    End Sub


End Class